Index: trunk/src/bp-members/bp-members-template.php
===================================================================
--- trunk/src/bp-members/bp-members-template.php	(revision 10690)
+++ trunk/src/bp-members/bp-members-template.php	(revision 10711)
@@ -293,4 +293,6 @@
  * global, enabling the use of BuddyPress templates and template functions to
  * display a list of members.
+ *
+ * @since 1.2.0
  *
  * @global object $members_template {@link BP_Members_Template}
@@ -439,4 +441,6 @@
  * Set up the current member inside the loop.
  *
+ * @since 1.2.0
+ *
  * @return object
  */
@@ -449,4 +453,6 @@
  * Check whether there are more members to iterate over.
  *
+ * @since 1.2.0
+ *
  * @return bool
  */
@@ -458,4 +464,6 @@
 /**
  * Output the members pagination count.
+ *
+ * @since 1.2.0
  */
 function bp_members_pagination_count() {
@@ -464,4 +472,6 @@
 	/**
 	 * Generate the members pagination count.
+	 *
+	 * @since 1.5.0
 	 *
 	 * @return string
@@ -516,4 +526,6 @@
 /**
  * Output the members pagination links.
+ *
+ * @since 1.2.0
  */
 function bp_members_pagination_links() {
@@ -523,4 +535,6 @@
 	 * Fetch the members pagination links.
 	 *
+	 * @since 1.2.0
+	 *
 	 * @return string
 	 */
@@ -541,4 +555,6 @@
  * Output the ID of the current member in the loop.
  *
+ * @since 1.2.0
+ *
  * @uses bp_get_member_user_id()
  */
@@ -548,4 +564,6 @@
 	/**
 	 * Get the ID of the current member in the loop.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @return string Member ID.
@@ -581,5 +599,4 @@
 	 *
 	 * @param array $classes Array of custom classes.
-	 *
 	 * @return string Row class of the member
 	 */
@@ -592,5 +609,5 @@
 			$classes[]   = ( $pos_in_loop % 2 ) ? 'even' : 'odd';
 
-		// If we've only one member in the loop, don't bother with odd and even.
+			// If we've only one member in the loop, don't bother with odd and even.
 		} else {
 			$classes[] = 'bp-single-member';
@@ -639,4 +656,6 @@
 /**
  * Output nicename of current member in the loop.
+ *
+ * @since 1.2.5
  */
 function bp_member_user_nicename() {
@@ -646,4 +665,6 @@
 	 * Get the nicename of the current member in the loop.
 	 *
+	 * @since 1.2.5
+	 *
 	 * @return string Members nicename.
 	 */
@@ -663,4 +684,6 @@
 /**
  * Output login for current member in the loop.
+ *
+ * @since 1.2.5
  */
 function bp_member_user_login() {
@@ -670,4 +693,6 @@
 	 * Get the login of the current member in the loop.
 	 *
+	 * @since 1.2.5
+	 *
 	 * @return string Member's login.
 	 */
@@ -687,4 +712,6 @@
 /**
  * Output the email address for the current member in the loop.
+ *
+ * @since 1.2.5
  */
 function bp_member_user_email() {
@@ -694,4 +721,6 @@
 	 * Get the email address of the current member in the loop.
 	 *
+	 * @since 1.2.5
+	 *
 	 * @return string Member's email address.
 	 */
@@ -712,4 +741,6 @@
  * Check whether the current member in the loop is the logged-in user.
  *
+ * @since 1.2.5
+ *
  * @return bool
  */
@@ -730,4 +761,6 @@
  * Output a member's avatar.
  *
+ * @since 1.2.0
+ *
  * @see bp_get_member_avatar() for description of arguments.
  *
@@ -747,4 +780,6 @@
 	/**
 	 * Get a member's avatar.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @see bp_core_fetch_avatar() For a description of arguments and
@@ -794,4 +829,6 @@
 /**
  * Output the permalink for the current member in the loop.
+ *
+ * @since 1.2.0
  */
 function bp_member_permalink() {
@@ -801,4 +838,6 @@
 	 * Get the permalink for the current member in the loop.
 	 *
+	 * @since 1.2.0
+	 *
 	 * @return string
 	 */
@@ -818,4 +857,6 @@
 	/**
 	 * Alias of {@link bp_member_permalink()}.
+	 *
+	 * @since 1.2.0
 	 */
 	function bp_member_link() { echo bp_get_member_permalink(); }
@@ -823,4 +864,6 @@
 	/**
 	 * Alias of {@link bp_get_member_permalink()}.
+	 *
+	 * @since 1.2.0
 	 */
 	function bp_get_member_link() { return bp_get_member_permalink(); }
@@ -828,4 +871,6 @@
 /**
  * Output display name of current member in the loop.
+ *
+ * @since 1.2.0
  */
 function bp_member_name() {
@@ -847,4 +892,6 @@
 	 * WP users table, in the following order of preference: display_name,
 	 * user_nicename, user_login.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @return string The user's fullname for display.
@@ -888,4 +935,6 @@
  * Output the current member's last active time.
  *
+ * @since 1.2.0
+ *
  * @param array $args See {@link bp_get_member_last_active()}.
  */
@@ -895,4 +944,6 @@
 	/**
 	 * Return the current member's last active time.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @param array $args {
@@ -926,5 +977,5 @@
 				: bp_core_time_since( $members_template->member->last_activity );
 
-		// Member has never logged in or been active.
+			// Member has never logged in or been active.
 		} else {
 			$last_activity = __( 'Never active', 'buddypress' );
@@ -945,4 +996,6 @@
  * Output the latest update of the current member in the loop.
  *
+ * @since 1.2.0
+ *
  * @param array|string $args Array of arguments for latest update.
  */
@@ -952,4 +1005,6 @@
 	/**
 	 * Get the latest update from the current member in the loop.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @param array|string $args {
@@ -1007,4 +1062,6 @@
  * Output a piece of user profile data.
  *
+ * @since 1.2.0
+ *
  * @see bp_get_member_profile_data() for a description of params.
  *
@@ -1020,4 +1077,6 @@
 	 * to fetch profile data cached in the template global. It is also safe
 	 * to use outside of the loop.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @param array|string $args {
@@ -1088,4 +1147,6 @@
 /**
  * Output the 'registered [x days ago]' string for the current member.
+ *
+ * @since 1.2.0
  */
 function bp_member_registered() {
@@ -1095,4 +1156,6 @@
 	 * Get the 'registered [x days ago]' string for the current member.
 	 *
+	 * @since 1.2.0
+	 *
 	 * @return string
 	 */
@@ -1114,4 +1177,6 @@
 /**
  * Output a random piece of profile data for the current member in the loop.
+ *
+ * @since 1.2.0
  */
 function bp_member_random_profile_data() {
@@ -1127,4 +1192,6 @@
 /**
  * Output hidden input for preserving member search params on form submit.
+ *
+ * @since 1.2.0
  */
 function bp_member_hidden_fields() {
@@ -1146,4 +1213,6 @@
 /**
  * Output the Members directory search form.
+ *
+ * @since 1.0.0
  */
 function bp_directory_members_search_form() {
@@ -1174,4 +1243,6 @@
 /**
  * Output the total member count.
+ *
+ * @since 1.2.0
  */
 function bp_total_site_member_count() {
@@ -1181,4 +1252,6 @@
 	 * Get the total site member count.
 	 *
+	 * @since 1.2.0
+	 *
 	 * @return int
 	 */
@@ -1208,4 +1281,6 @@
  * The function will also analyze the current component the user is in, to
  * determine whether or not to highlight a particular nav item.
+ *
+ * @since 1.1.0
  *
  * @todo Move to a back-compat file?
@@ -1253,4 +1328,6 @@
 /**
  * Render the navigation markup for the displayed user.
+ *
+ * @since 1.1.0
  */
 function bp_get_displayed_user_nav() {
@@ -1306,4 +1383,6 @@
  * Output the logged-in user's avatar.
  *
+ * @since 1.1.0
+ *
  * @see bp_get_loggedin_user_avatar() for a description of params.
  *
@@ -1315,4 +1394,6 @@
 	/**
 	 * Get the logged-in user's avatar.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @see bp_core_fetch_avatar() For a description of arguments and
@@ -1355,4 +1436,6 @@
  * Output the displayed user's avatar.
  *
+ * @since 1.1.0
+ *
  * @see bp_get_displayed_user_avatar() for a description of params.
  *
@@ -1364,4 +1447,6 @@
 	/**
 	 * Get the displayed user's avatar.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @see bp_core_fetch_avatar() For a description of arguments and
@@ -1403,4 +1488,6 @@
 /**
  * Output the email address of the displayed user.
+ *
+ * @since 1.5.0
  */
 function bp_displayed_user_email() {
@@ -1409,4 +1496,6 @@
 	/**
 	 * Get the email address of the displayed user.
+	 *
+	 * @since 1.5.0
 	 *
 	 * @return string
@@ -1434,4 +1523,6 @@
  * Output the "active [x days ago]" string for a user.
  *
+ * @since 1.0.0
+ *
  * @see bp_get_last_activity() for a description of parameters.
  *
@@ -1451,4 +1542,6 @@
 	/**
 	 * Get the "active [x days ago]" string for a user.
+	 *
+	 * @since 1.5.0
 	 *
 	 * @param int $user_id ID of the user. Default: displayed user ID.
@@ -1474,4 +1567,6 @@
 /**
  * Output the calculated first name of the displayed or logged-in user.
+ *
+ * @since 1.2.0
  */
 function bp_user_firstname() {
@@ -1482,4 +1577,6 @@
 	 *
 	 * Simply takes all the characters before the first space in a name.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @param string|bool $name Full name to use when generating first name.
@@ -1513,4 +1610,6 @@
 /**
  * Output the link for the logged-in user's profile.
+ *
+ * @since 1.2.4
  */
 function bp_loggedin_user_link() {
@@ -1520,4 +1619,6 @@
 	 * Get the link for the logged-in user's profile.
 	 *
+	 * @since 1.0.0
+	 *
 	 * @return string
 	 */
@@ -1536,4 +1637,6 @@
 /**
  * Output the link for the displayed user's profile.
+ *
+ * @since 1.2.4
  */
 function bp_displayed_user_link() {
@@ -1543,4 +1646,6 @@
 	 * Get the link for the displayed user's profile.
 	 *
+	 * @since 1.0.0
+	 *
 	 * @return string
 	 */
@@ -1566,4 +1671,6 @@
 /**
  * Alias of {@link bp_displayed_user_id()}.
+ *
+ * @since 1.0.0
  */
 function bp_current_user_id() { return bp_displayed_user_id(); }
@@ -1571,4 +1678,6 @@
 /**
  * Generate the link for the displayed user's profile.
+ *
+ * @since 1.0.0
  *
  * @return string
@@ -1590,4 +1699,6 @@
  * Generate the link for the logged-in user's profile.
  *
+ * @since 1.0.0
+ *
  * @return string
  */
@@ -1607,4 +1718,6 @@
 /**
  * Output the displayed user's display name.
+ *
+ * @since 1.0.0
  */
 function bp_displayed_user_fullname() {
@@ -1614,4 +1727,6 @@
 	 * Get the displayed user's display name.
 	 *
+	 * @since 1.2.0
+	 *
 	 * @return string
 	 */
@@ -1631,4 +1746,6 @@
 	/**
 	 * Alias of {@link bp_get_displayed_user_fullname()}.
+	 *
+	 * @since 1.0.0
 	 */
 	function bp_user_fullname() { echo bp_get_displayed_user_fullname(); }
@@ -1637,4 +1754,6 @@
 /**
  * Output the logged-in user's display name.
+ *
+ * @since 1.0.0
  */
 function bp_loggedin_user_fullname() {
@@ -1644,4 +1763,6 @@
 	 * Get the logged-in user's display name.
 	 *
+	 * @since 1.0.0
+	 *
 	 * @return string
 	 */
@@ -1661,4 +1782,6 @@
 /**
  * Output the username of the displayed user.
+ *
+ * @since 1.2.0
  */
 function bp_displayed_user_username() {
@@ -1667,4 +1790,6 @@
 	/**
 	 * Get the username of the displayed user.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @return string
@@ -1691,4 +1816,6 @@
 /**
  * Output the username of the logged-in user.
+ *
+ * @since 1.2.0
  */
 function bp_loggedin_user_username() {
@@ -1697,4 +1824,6 @@
 	/**
 	 * Get the username of the logged-in user.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @return string
@@ -1738,4 +1867,11 @@
 		$message = sprintf( __( 'Viewing members of the type: %s', 'buddypress' ), '<strong>' . $type_object->labels['singular_name'] . '</strong>' );
 
+		/**
+		 * Filters the current member type message.
+		 *
+		 * @since 2.3.0
+		 *
+		 * @param string $message Message to filter.
+		 */
 		return apply_filters( 'bp_get_current_member_type_message', $message );
 	}
@@ -1764,4 +1900,6 @@
 /**
  * Output the URL to the signup page.
+ *
+ * @since 1.0.0
  */
 function bp_signup_page() {
@@ -1770,4 +1908,6 @@
 	/**
 	 * Get the URL to the signup page.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @return string
@@ -1797,4 +1937,5 @@
  * @uses bp_get_activate_slug() To make sure there is a slug assigned to the page.
  * @uses bp_locate_template() To make sure a template exists to provide output.
+ *
  * @return boolean True if page and template exist, false if not.
  */
@@ -1810,4 +1951,6 @@
 /**
  * Output the URL of the activation page.
+ *
+ * @since 1.0.0
  */
 function bp_activation_page() {
@@ -1816,4 +1959,6 @@
 	/**
 	 * Get the URL of the activation page.
+	 *
+	 * @since 1.2.0
 	 *
 	 * @return string
@@ -1838,4 +1983,6 @@
 /**
  * Output the username submitted during signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_username_value() {
@@ -1844,4 +1991,6 @@
 	/**
 	 * Get the username submitted during signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @todo This should be properly escaped.
@@ -1866,4 +2015,6 @@
 /**
  * Output the user email address submitted during signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_email_value() {
@@ -1872,4 +2023,6 @@
 	/**
 	 * Get the email address submitted during signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @todo This should be properly escaped.
@@ -1894,4 +2047,6 @@
 /**
  * Output the 'signup_with_blog' value submitted during signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_with_blog_value() {
@@ -1900,4 +2055,6 @@
 	/**
 	 * Get the 'signup_with_blog' value submitted during signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @return string
@@ -1920,4 +2077,6 @@
 /**
  * Output the 'signup_blog_url' value submitted at signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_blog_url_value() {
@@ -1926,4 +2085,6 @@
 	/**
 	 * Get the 'signup_blog_url' value submitted at signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @todo Should be properly escaped.
@@ -1982,4 +2143,6 @@
 /**
  * Output the 'signup_blog_titl' value submitted at signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_blog_title_value() {
@@ -1988,4 +2151,6 @@
 	/**
 	 * Get the 'signup_blog_title' value submitted at signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @todo Should be properly escaped.
@@ -2010,4 +2175,6 @@
 /**
  * Output the 'signup_blog_privacy' value submitted at signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_blog_privacy_value() {
@@ -2016,4 +2183,6 @@
 	/**
 	 * Get the 'signup_blog_privacy' value submitted at signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @todo Should be properly escaped.
@@ -2038,4 +2207,6 @@
 /**
  * Output the avatar dir used during signup.
+ *
+ * @since 1.1.0
  */
 function bp_signup_avatar_dir_value() {
@@ -2044,4 +2215,6 @@
 	/**
 	 * Get the avatar dir used during signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @return string
@@ -2074,4 +2247,6 @@
 /**
  * Output the current signup step.
+ *
+ * @since 1.1.0
  */
 function bp_current_signup_step() {
@@ -2081,4 +2256,6 @@
 	 * Get the current signup step.
 	 *
+	 * @since 1.1.0
+	 *
 	 * @return string
 	 */
@@ -2090,4 +2267,6 @@
  * Output the user avatar during signup.
  *
+ * @since 1.1.0
+ *
  * @see bp_get_signup_avatar() for description of arguments.
  *
@@ -2099,4 +2278,6 @@
 	/**
 	 * Get the user avatar during signup.
+	 *
+	 * @since 1.1.0
 	 *
 	 * @see bp_core_fetch_avatar() for description of arguments.
@@ -2136,5 +2317,5 @@
 			) );
 
-		// No avatar DIR was found.
+			// No avatar DIR was found.
 		} else {
 
@@ -2173,4 +2354,6 @@
  * Output whether signup is allowed.
  *
+ * @since 1.1.0
+ *
  * @todo Remove this function. Echoing a bool is pointless.
  */
@@ -2180,4 +2363,6 @@
 	/**
 	 * Is user signup allowed?
+	 *
+	 * @since 1.1.0
 	 *
 	 * @return bool
@@ -2229,4 +2414,6 @@
  * Output a link to a members component subpage.
  *
+ * @since 1.5.0
+ *
  * @see bp_get_members_component_link() for description of parameters.
  *
@@ -2241,4 +2428,6 @@
 	/**
 	 * Generate a link to a members component subpage.
+	 *
+	 * @since 1.5.0
 	 *
 	 * @param string       $component  ID of the component (eg 'friends').