Index: /trunk/src/bp-groups/classes/class-bp-groups-widget.php
===================================================================
--- /trunk/src/bp-groups/classes/class-bp-groups-widget.php	(revision 11125)
+++ /trunk/src/bp-groups/classes/class-bp-groups-widget.php	(revision 11126)
@@ -126,5 +126,5 @@
 			</div>
 
-			<ul id="groups-list" class="item-list">
+			<ul id="groups-list" class="item-list" aria-live="polite" aria-relevant="all" aria-atomic="true">
 				<?php while ( bp_groups() ) : bp_the_group(); ?>
 					<li <?php bp_group_class(); ?>>
Index: /trunk/src/bp-members/classes/class-bp-core-members-widget.php
===================================================================
--- /trunk/src/bp-members/classes/class-bp-core-members-widget.php	(revision 11125)
+++ /trunk/src/bp-members/classes/class-bp-core-members-widget.php	(revision 11126)
@@ -121,5 +121,5 @@
 			</div>
 
-			<ul id="members-list" class="item-list">
+			<ul id="members-list" class="item-list" aria-live="polite" aria-relevant="all" aria-atomic="true">
 
 				<?php while ( bp_members() ) : bp_the_member(); ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/activity/index.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/activity/index.php	(revision 11125)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/activity/index.php	(revision 11126)
@@ -181,5 +181,5 @@
 	do_action( 'bp_before_directory_activity_list' ); ?>
 
-	<div class="activity">
+	<div class="activity" aria-live="polite" aria-atomic="true" aria-relevant="all">
 
 		<?php bp_get_template_part( 'activity/activity-loop' ); ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/activity.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/activity.php	(revision 11125)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/activity.php	(revision 11126)
@@ -73,5 +73,5 @@
 do_action( 'bp_before_group_activity_content' ); ?>
 
-<div class="activity single-group">
+<div class="activity single-group" aria-live="polite" aria-atomic="true" aria-relevant="all">
 
 	<?php bp_get_template_part( 'activity/activity-loop' ); ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php	(revision 11125)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php	(revision 11126)
@@ -20,145 +20,149 @@
 do_action( 'bp_before_group_manage_members_admin' ); ?>
 
-<div class="bp-widget">
-	<h3><?php _e( 'Administrators', 'buddypress' ); ?></h3>
+<div aria-live="polite" aria-relevant="all" aria-atomic="true">
 
-	<?php if ( bp_has_members( '&include='. bp_group_admin_ids() ) ) : ?>
+	<div class="bp-widget">
+		<h3><?php _e( 'Administrators', 'buddypress' ); ?></h3>
 
-	<ul id="admins-list" class="item-list single-line">
+		<?php if ( bp_has_members( '&include='. bp_group_admin_ids() ) ) : ?>
 
-		<?php while ( bp_members() ) : bp_the_member(); ?>
-		<li>
-			<?php echo bp_core_fetch_avatar( array( 'item_id' => bp_get_member_user_id(), 'type' => 'thumb', 'width' => 30, 'height' => 30, 'alt' => sprintf( __( 'Profile picture of %s', 'buddypress' ), bp_get_member_name() ) ) ); ?>
-			<h5>
-				<a href="<?php bp_member_permalink(); ?>"> <?php bp_member_name(); ?></a>
-				<?php if ( count( bp_group_admin_ids( false, 'array' ) ) > 1 ) : ?>
-				<span class="small">
-					<a class="button confirm admin-demote-to-member" href="<?php bp_group_member_demote_link( bp_get_member_user_id() ); ?>"><?php _e( 'Demote to Member', 'buddypress' ); ?></a>
-				</span>
-				<?php endif; ?>
-			</h5>
-		</li>
-		<?php endwhile; ?>
+		<ul id="admins-list" class="item-list single-line">
 
-	</ul>
+			<?php while ( bp_members() ) : bp_the_member(); ?>
+			<li>
+				<?php echo bp_core_fetch_avatar( array( 'item_id' => bp_get_member_user_id(), 'type' => 'thumb', 'width' => 30, 'height' => 30, 'alt' => sprintf( __( 'Profile picture of %s', 'buddypress' ), bp_get_member_name() ) ) ); ?>
+				<h5>
+					<a href="<?php bp_member_permalink(); ?>"> <?php bp_member_name(); ?></a>
+					<?php if ( count( bp_group_admin_ids( false, 'array' ) ) > 1 ) : ?>
+					<span class="small">
+						<a class="button confirm admin-demote-to-member" href="<?php bp_group_member_demote_link( bp_get_member_user_id() ); ?>"><?php _e( 'Demote to Member', 'buddypress' ); ?></a>
+					</span>
+					<?php endif; ?>
+				</h5>
+			</li>
+			<?php endwhile; ?>
 
+		</ul>
+
+		<?php endif; ?>
+
+	</div>
+
+	<?php if ( bp_group_has_moderators() ) : ?>
+		<div class="bp-widget">
+			<h3><?php _e( 'Moderators', 'buddypress' ); ?></h3>
+
+			<?php if ( bp_has_members( '&include=' . bp_group_mod_ids() ) ) : ?>
+				<ul id="mods-list" class="item-list single-line">
+
+					<?php while ( bp_members() ) : bp_the_member(); ?>
+					<li>
+						<?php echo bp_core_fetch_avatar( array( 'item_id' => bp_get_member_user_id(), 'type' => 'thumb', 'width' => 30, 'height' => 30, 'alt' => sprintf( __( 'Profile picture of %s', 'buddypress' ), bp_get_member_name() ) ) ); ?>
+						<h5>
+							<a href="<?php bp_member_permalink(); ?>"> <?php bp_member_name(); ?></a>
+							<span class="small">
+								<a href="<?php bp_group_member_promote_admin_link( array( 'user_id' => bp_get_member_user_id() ) ); ?>" class="button confirm mod-promote-to-admin"><?php _e( 'Promote to Admin', 'buddypress' ); ?></a>
+								<a class="button confirm mod-demote-to-member" href="<?php bp_group_member_demote_link( bp_get_member_user_id() ); ?>"><?php _e( 'Demote to Member', 'buddypress' ); ?></a>
+							</span>
+						</h5>
+					</li>
+					<?php endwhile; ?>
+
+				</ul>
+
+			<?php endif; ?>
+		</div>
 	<?php endif; ?>
 
-</div>
 
-<?php if ( bp_group_has_moderators() ) : ?>
 	<div class="bp-widget">
-		<h3><?php _e( 'Moderators', 'buddypress' ); ?></h3>
+		<h3><?php _e( "Members", 'buddypress' ); ?></h3>
 
-		<?php if ( bp_has_members( '&include=' . bp_group_mod_ids() ) ) : ?>
-			<ul id="mods-list" class="item-list single-line">
+		<?php if ( bp_group_has_members( 'per_page=15&exclude_banned=0' ) ) : ?>
 
-				<?php while ( bp_members() ) : bp_the_member(); ?>
-				<li>
-					<?php echo bp_core_fetch_avatar( array( 'item_id' => bp_get_member_user_id(), 'type' => 'thumb', 'width' => 30, 'height' => 30, 'alt' => sprintf( __( 'Profile picture of %s', 'buddypress' ), bp_get_member_name() ) ) ); ?>
-					<h5>
-						<a href="<?php bp_member_permalink(); ?>"> <?php bp_member_name(); ?></a>
-						<span class="small">
-							<a href="<?php bp_group_member_promote_admin_link( array( 'user_id' => bp_get_member_user_id() ) ); ?>" class="button confirm mod-promote-to-admin"><?php _e( 'Promote to Admin', 'buddypress' ); ?></a>
-							<a class="button confirm mod-demote-to-member" href="<?php bp_group_member_demote_link( bp_get_member_user_id() ); ?>"><?php _e( 'Demote to Member', 'buddypress' ); ?></a>
-						</span>
-					</h5>
-				</li>
+			<?php if ( bp_group_member_needs_pagination() ) : ?>
+
+				<div class="pagination no-ajax">
+
+					<div id="member-count" class="pag-count">
+						<?php bp_group_member_pagination_count(); ?>
+					</div>
+
+					<div id="member-admin-pagination" class="pagination-links">
+						<?php bp_group_member_admin_pagination(); ?>
+					</div>
+
+				</div>
+
+			<?php endif; ?>
+
+			<ul id="members-list" class="item-list single-line">
+				<?php while ( bp_group_members() ) : bp_group_the_member(); ?>
+
+					<li class="<?php bp_group_member_css_class(); ?>">
+						<?php bp_group_member_avatar_mini(); ?>
+
+						<h5>
+							<?php bp_group_member_link(); ?>
+
+							<?php if ( bp_get_group_member_is_banned() ) _e( '(banned)', 'buddypress' ); ?>
+
+							<span class="small">
+
+							<?php if ( bp_get_group_member_is_banned() ) : ?>
+
+								<a href="<?php bp_group_member_unban_link(); ?>" class="button confirm member-unban" title="<?php esc_attr_e( 'Unban this member', 'buddypress' ); ?>"><?php _e( 'Remove Ban', 'buddypress' ); ?></a>
+
+							<?php else : ?>
+
+								<a href="<?php bp_group_member_ban_link(); ?>" class="button confirm member-ban"><?php _e( 'Kick &amp; Ban', 'buddypress' ); ?></a>
+								<a href="<?php bp_group_member_promote_mod_link(); ?>" class="button confirm member-promote-to-mod"><?php _e( 'Promote to Mod', 'buddypress' ); ?></a>
+								<a href="<?php bp_group_member_promote_admin_link(); ?>" class="button confirm member-promote-to-admin"><?php _e( 'Promote to Admin', 'buddypress' ); ?></a>
+
+							<?php endif; ?>
+
+								<a href="<?php bp_group_member_remove_link(); ?>" class="button confirm"><?php _e( 'Remove from group', 'buddypress' ); ?></a>
+
+								<?php
+
+								/**
+								 * Fires inside the display of a member admin item in group management area.
+								 *
+								 * @since 1.1.0
+								 */
+								do_action( 'bp_group_manage_members_admin_item' ); ?>
+
+							</span>
+						</h5>
+					</li>
+
 				<?php endwhile; ?>
-
 			</ul>
 
-		<?php endif; ?>
-	</div>
-<?php endif; ?>
+			<?php if ( bp_group_member_needs_pagination() ) : ?>
 
+				<div class="pagination no-ajax">
 
-<div class="bp-widget">
-	<h3><?php _e( "Members", 'buddypress' ); ?></h3>
+					<div id="member-count" class="pag-count">
+						<?php bp_group_member_pagination_count(); ?>
+					</div>
 
-	<?php if ( bp_group_has_members( 'per_page=15&exclude_banned=0' ) ) : ?>
+					<div id="member-admin-pagination" class="pagination-links">
+						<?php bp_group_member_admin_pagination(); ?>
+					</div>
 
-		<?php if ( bp_group_member_needs_pagination() ) : ?>
-
-			<div class="pagination no-ajax">
-
-				<div id="member-count" class="pag-count">
-					<?php bp_group_member_pagination_count(); ?>
 				</div>
 
-				<div id="member-admin-pagination" class="pagination-links">
-					<?php bp_group_member_admin_pagination(); ?>
-				</div>
+			<?php endif; ?>
 
+		<?php else: ?>
+
+			<div id="message" class="info">
+				<p><?php _e( 'This group has no members.', 'buddypress' ); ?></p>
 			</div>
 
 		<?php endif; ?>
 
-		<ul id="members-list" class="item-list single-line">
-			<?php while ( bp_group_members() ) : bp_group_the_member(); ?>
-
-				<li class="<?php bp_group_member_css_class(); ?>">
-					<?php bp_group_member_avatar_mini(); ?>
-
-					<h5>
-						<?php bp_group_member_link(); ?>
-
-						<?php if ( bp_get_group_member_is_banned() ) _e( '(banned)', 'buddypress' ); ?>
-
-						<span class="small">
-
-						<?php if ( bp_get_group_member_is_banned() ) : ?>
-
-							<a href="<?php bp_group_member_unban_link(); ?>" class="button confirm member-unban" title="<?php esc_attr_e( 'Unban this member', 'buddypress' ); ?>"><?php _e( 'Remove Ban', 'buddypress' ); ?></a>
-
-						<?php else : ?>
-
-							<a href="<?php bp_group_member_ban_link(); ?>" class="button confirm member-ban"><?php _e( 'Kick &amp; Ban', 'buddypress' ); ?></a>
-							<a href="<?php bp_group_member_promote_mod_link(); ?>" class="button confirm member-promote-to-mod"><?php _e( 'Promote to Mod', 'buddypress' ); ?></a>
-							<a href="<?php bp_group_member_promote_admin_link(); ?>" class="button confirm member-promote-to-admin"><?php _e( 'Promote to Admin', 'buddypress' ); ?></a>
-
-						<?php endif; ?>
-
-							<a href="<?php bp_group_member_remove_link(); ?>" class="button confirm"><?php _e( 'Remove from group', 'buddypress' ); ?></a>
-
-							<?php
-
-							/**
-							 * Fires inside the display of a member admin item in group management area.
-							 *
-							 * @since 1.1.0
-							 */
-							do_action( 'bp_group_manage_members_admin_item' ); ?>
-
-						</span>
-					</h5>
-				</li>
-
-			<?php endwhile; ?>
-		</ul>
-
-		<?php if ( bp_group_member_needs_pagination() ) : ?>
-
-			<div class="pagination no-ajax">
-
-				<div id="member-count" class="pag-count">
-					<?php bp_group_member_pagination_count(); ?>
-				</div>
-
-				<div id="member-admin-pagination" class="pagination-links">
-					<?php bp_group_member_admin_pagination(); ?>
-				</div>
-
-			</div>
-
-		<?php endif; ?>
-
-	<?php else: ?>
-
-		<div id="message" class="info">
-			<p><?php _e( 'This group has no members.', 'buddypress' ); ?></p>
-		</div>
-
-	<?php endif; ?>
+	</div>
 
 </div>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php	(revision 11125)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php	(revision 11126)
@@ -23,5 +23,5 @@
 	<form action="<?php bp_group_send_invite_form_action(); ?>" method="post" id="send-invite-form" class="standard-form">
 
-		<div class="invite">
+		<div class="invite" aria-live="polite" aria-atomic="false" aria-relevant="all">
 			<?php bp_get_template_part( 'groups/single/invites-loop' ); ?>
 		</div>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/activity.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/activity.php	(revision 11125)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/activity.php	(revision 11126)
@@ -62,5 +62,5 @@
 do_action( 'bp_before_member_activity_content' ); ?>
 
-<div class="activity">
+<div class="activity" aria-live="polite" aria-atomic="true" aria-relevant="all">
 
 	<?php bp_get_template_part( 'activity/activity-loop' ) ?>