Index: /trunk/src/bp-templates/bp-legacy/buddypress/activity/activity-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/activity/activity-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/activity/activity-loop.php	(revision 11591)
@@ -67,3 +67,3 @@
 	</form>
 
-<?php endif; ?>
+<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/activity/comment.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/activity/comment.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/activity/comment.php	(revision 11591)
@@ -68,3 +68,3 @@
  * @since 1.5.0
  */
-do_action( 'bp_after_activity_comment' ); ?>
+do_action( 'bp_after_activity_comment' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/activity/entry.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/activity/entry.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/activity/entry.php	(revision 11591)
@@ -168,3 +168,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_activity_entry' ); ?>
+do_action( 'bp_after_activity_entry' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/assets/_attachments/avatars/index.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/assets/_attachments/avatars/index.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/assets/_attachments/avatars/index.php	(revision 11591)
@@ -45,3 +45,3 @@
 </script>
 
-<?php do_action( 'bp_attachments_avatar_main_template' ); ?>
+<?php do_action( 'bp_attachments_avatar_main_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/assets/_attachments/cover-images/index.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/assets/_attachments/cover-images/index.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/assets/_attachments/cover-images/index.php	(revision 11591)
@@ -34,3 +34,3 @@
 </script>
 
-<?php do_action( 'bp_attachments_cover_image_main_template' ); ?>
+<?php do_action( 'bp_attachments_cover_image_main_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/assets/embeds/activity.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/assets/embeds/activity.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/assets/embeds/activity.php	(revision 11591)
@@ -9,3 +9,3 @@
 			<?php endwhile; ?>
 
-		<?php endif; ?>
+		<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/blogs/blogs-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/blogs/blogs-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/blogs/blogs-loop.php	(revision 11591)
@@ -130,3 +130,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_blogs_loop' ); ?>
+do_action( 'bp_after_blogs_loop' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/blogs/create.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/blogs/create.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/blogs/create.php	(revision 11591)
@@ -59,3 +59,3 @@
  * @since 1.6.0
  */
-do_action( 'bp_after_create_blog_content_template' ); ?>
+do_action( 'bp_after_create_blog_content_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/forums/forums-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/forums/forums-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/forums/forums-loop.php	(revision 11591)
@@ -173,3 +173,3 @@
  * @since 1.2.6
  */
-do_action( 'bp_after_forums_loop' ); ?>
+do_action( 'bp_after_forums_loop' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/create.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/create.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/create.php	(revision 11591)
@@ -537,3 +537,3 @@
  * @since 1.7.0
  */
-do_action( 'bp_after_create_group_page' ); ?>
+do_action( 'bp_after_create_group_page' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/groups-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/groups-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/groups-loop.php	(revision 11591)
@@ -145,3 +145,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_groups_loop' ); ?>
+do_action( 'bp_after_groups_loop' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/activity.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/activity.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/activity.php	(revision 11591)
@@ -86,3 +86,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_group_activity_content' ); ?>
+do_action( 'bp_after_group_activity_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin.php	(revision 11591)
@@ -68,3 +68,3 @@
  * @since 2.7.0
  */
-do_action( 'bp_after_group_admin_form' ); ?>
+do_action( 'bp_after_group_admin_form' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/delete-group.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/delete-group.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/delete-group.php	(revision 11591)
@@ -39,3 +39,3 @@
 </div>
 
-<?php wp_nonce_field( 'groups_delete_group' ); ?>
+<?php wp_nonce_field( 'groups_delete_group' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/edit-details.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/edit-details.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/edit-details.php	(revision 11591)
@@ -51,3 +51,3 @@
 
 <p><input type="submit" value="<?php esc_attr_e( 'Save Changes', 'buddypress' ); ?>" id="save" name="save" /></p>
-<?php wp_nonce_field( 'groups_edit_group_details' ); ?>
+<?php wp_nonce_field( 'groups_edit_group_details' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-avatar.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-avatar.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-avatar.php	(revision 11591)
@@ -65,3 +65,3 @@
 	<?php wp_nonce_field( 'bp_avatar_cropstore' ); ?>
 
-<?php endif; ?>
+<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-cover-image.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-cover-image.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-cover-image.php	(revision 11591)
@@ -31,3 +31,3 @@
  * @since 2.4.0
  */
-do_action( 'bp_after_group_settings_cover_image' ); ?>
+do_action( 'bp_after_group_settings_cover_image' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-settings.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-settings.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/group-settings.php	(revision 11591)
@@ -122,3 +122,3 @@
 
 <p><input type="submit" value="<?php esc_attr_e( 'Save Changes', 'buddypress' ); ?>" id="save" name="save" /></p>
-<?php wp_nonce_field( 'groups_edit_group_settings' ); ?>
+<?php wp_nonce_field( 'groups_edit_group_settings' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php	(revision 11591)
@@ -330,3 +330,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_group_manage_members_admin' ); ?>
+do_action( 'bp_after_group_manage_members_admin' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/membership-requests.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/membership-requests.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/membership-requests.php	(revision 11591)
@@ -33,3 +33,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_group_membership_requests_admin' ); ?>
+do_action( 'bp_after_group_membership_requests_admin' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum.php	(revision 11591)
@@ -132,4 +132,3 @@
 	<?php endif; ?>
 
-<?php endif; ?>
-
+<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/edit.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/edit.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/edit.php	(revision 11591)
@@ -149,3 +149,3 @@
  * @since 1.2.4
  */
-do_action( 'bp_after_group_forum_edit_form' ); ?>
+do_action( 'bp_after_group_forum_edit_form' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/topic.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/topic.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/topic.php	(revision 11591)
@@ -230,3 +230,3 @@
  * @since 1.2.4
  */
-do_action( 'bp_after_group_forum_topic' ); ?>
+do_action( 'bp_after_group_forum_topic' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/members.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/members.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/members.php	(revision 11591)
@@ -132,3 +132,3 @@
 	</div>
 
-<?php endif; ?>
+<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/request-membership.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/request-membership.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/request-membership.php	(revision 11591)
@@ -48,3 +48,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_group_request_membership_content' ); ?>
+do_action( 'bp_after_group_request_membership_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/requests-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/requests-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/requests-loop.php	(revision 11591)
@@ -96,3 +96,3 @@
 		</div>
 
-	<?php endif; ?>
+	<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php	(revision 11591)
@@ -64,3 +64,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_group_send_invites_content' ); ?>
+do_action( 'bp_after_group_send_invites_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/members-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/members-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/members-loop.php	(revision 11591)
@@ -152,3 +152,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_members_loop' ); ?>
+do_action( 'bp_after_members_loop' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/activity.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/activity.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/activity.php	(revision 11591)
@@ -75,3 +75,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_member_activity_content' ); ?>
+do_action( 'bp_after_member_activity_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/forums.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/forums.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/forums.php	(revision 11591)
@@ -64,3 +64,3 @@
 	do_action( 'bp_after_member_forums_content' ); ?>
 
-<?php endif; ?>
+<?php endif;
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/friends/requests.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/friends/requests.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/friends/requests.php	(revision 11591)
@@ -117,3 +117,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_member_friend_requests_content' ); ?>
+do_action( 'bp_after_member_friend_requests_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/groups/invites.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/groups/invites.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/groups/invites.php	(revision 11591)
@@ -81,3 +81,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_group_invites_content' ); ?>
+do_action( 'bp_after_group_invites_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/messages-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/messages-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/messages-loop.php	(revision 11591)
@@ -204,3 +204,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_member_messages_loop' ); ?>
+do_action( 'bp_after_member_messages_loop' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/notices-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/notices-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/notices-loop.php	(revision 11591)
@@ -105,3 +105,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_notices_loop' ); ?>
+do_action( 'bp_after_notices_loop' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/plugins.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/plugins.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/plugins.php	(revision 11591)
@@ -64,3 +64,3 @@
 		 * @since 1.2.0
 		 */
-		do_action( 'bp_after_member_plugin_template' ); ?>
+		do_action( 'bp_after_member_plugin_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile.php	(revision 11591)
@@ -70,3 +70,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_profile_content' ); ?>
+do_action( 'bp_after_profile_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/change-avatar.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/change-avatar.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/change-avatar.php	(revision 11591)
@@ -93,3 +93,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_profile_avatar_upload_content' ); ?>
+do_action( 'bp_after_profile_avatar_upload_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/change-cover-image.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/change-cover-image.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/change-cover-image.php	(revision 11591)
@@ -31,3 +31,3 @@
  * @since 2.4.0
  */
-do_action( 'bp_after_profile_edit_cover_image' ); ?>
+do_action( 'bp_after_profile_edit_cover_image' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/edit.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/edit.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/edit.php	(revision 11591)
@@ -121,3 +121,3 @@
  * @since 1.1.0
  */
-do_action( 'bp_after_profile_edit_content' ); ?>
+do_action( 'bp_after_profile_edit_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/profile-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/profile-loop.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/profile-loop.php	(revision 11591)
@@ -74,3 +74,3 @@
 
 /** This action is documented in bp-templates/bp-legacy/buddypress/members/single/profile/profile-wp.php */
-do_action( 'bp_after_profile_loop_content' ); ?>
+do_action( 'bp_after_profile_loop_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/profile-wp.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/profile-wp.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/profile/profile-wp.php	(revision 11591)
@@ -112,3 +112,3 @@
  * @since 1.2.0
  */
-do_action( 'bp_after_profile_loop_content' ); ?>
+do_action( 'bp_after_profile_loop_content' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/capabilities.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/capabilities.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/capabilities.php	(revision 11591)
@@ -46,3 +46,3 @@
 
 /** This action is documented in bp-templates/bp-legacy/buddypress/members/single/settings/profile.php */
-do_action( 'bp_after_member_settings_template' ); ?>
+do_action( 'bp_after_member_settings_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/delete-account.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/delete-account.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/delete-account.php	(revision 11591)
@@ -60,3 +60,3 @@
 
 /** This action is documented in bp-templates/bp-legacy/buddypress/members/single/settings/profile.php */
-do_action( 'bp_after_member_settings_template' ); ?>
+do_action( 'bp_after_member_settings_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/general.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/general.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/general.php	(revision 11591)
@@ -65,3 +65,3 @@
 
 /** This action is documented in bp-templates/bp-legacy/buddypress/members/single/settings/profile.php */
-do_action( 'bp_after_member_settings_template' ); ?>
+do_action( 'bp_after_member_settings_template' );
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/notifications.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/notifications.php	(revision 11590)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/notifications.php	(revision 11591)
@@ -56,3 +56,3 @@
 
 /** This action is documented in bp-templates/bp-legacy/buddypress/members/single/settings/profile.php */
-do_action( 'bp_after_member_settings_template' ); ?>
+do_action( 'bp_after_member_settings_template' );