Index: /trunk/src/bp-activity/bp-activity-notifications.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-notifications.php	(revision 11605)
+++ /trunk/src/bp-activity/bp-activity-notifications.php	(revision 11606)
@@ -95,5 +95,5 @@
 		 * @param int    $user_id         ID of the user who inited the interaction.
 		 */
-		$return = apply_filters( 'bp_activity_' . $amount . '_' . $action_filter . '_notification', '<a href="' . esc_url( $link ) . '" title="' . esc_attr( $title ) . '">' . esc_html( $text ) . '</a>', $link, (int) $total_items, $activity_id, $user_id );
+		$return = apply_filters( 'bp_activity_' . $amount . '_' . $action_filter . '_notification', '<a href="' . esc_url( $link ) . '">' . esc_html( $text ) . '</a>', $link, (int) $total_items, $activity_id, $user_id );
 	} else {
 
Index: /trunk/src/bp-activity/classes/class-bp-activity-list-table.php
===================================================================
--- /trunk/src/bp-activity/classes/class-bp-activity-list-table.php	(revision 11605)
+++ /trunk/src/bp-activity/classes/class-bp-activity-list-table.php	(revision 11606)
@@ -593,5 +593,5 @@
 				$actions['reply'] = sprintf( '<a href="#" class="reply hide-if-no-js">%s</a>', __( 'Reply', 'buddypress' ) );
 			} else {
-				$actions['reply'] = sprintf( '<span class="form-input-tip" title="%s">%s</span>', __( 'Replies are disabled for this activity item', 'buddypress' ), __( 'Replies disabled', 'buddypress' ) );
+				$actions['reply'] = sprintf( '<span class="form-input-tip">%s</span>', __( 'Replies disabled', 'buddypress' ) );
 			}
 
@@ -707,6 +707,5 @@
 			// If the activity has comments, display a link to the activity's permalink, with its comment count in a speech bubble.
 			if ( $comment_count ) {
-				$title_attr = sprintf( _n( '%s related activity', '%s related activities', $comment_count, 'buddypress' ), number_format_i18n( $comment_count ) );
-				printf( '<a href="%1$s" title="%2$s" class="post-com-count post-com-count-approved"><span class="comment-count comment-count-approved">%3$s</span></a>', esc_url( $root_activity_url ), esc_attr( $title_attr ), number_format_i18n( $comment_count ) );
+				printf( '<a href="%1$s" class="post-com-count post-com-count-approved"><span class="comment-count comment-count-approved">%2$s</span></a>', esc_url( $root_activity_url ), number_format_i18n( $comment_count ) );
 			}
 
Index: /trunk/src/bp-core/admin/bp-core-admin-settings.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-settings.php	(revision 11605)
+++ /trunk/src/bp-core/admin/bp-core-admin-settings.php	(revision 11606)
@@ -272,5 +272,5 @@
 	<?php if ( false === $file_exists ) : ?>
 
-		<a class="button" href="<?php bp_admin_url( 'admin.php?page=bb-forums-setup&repair=1' ); ?>" title="<?php esc_attr_e( 'Attempt to save a new config file.', 'buddypress' ); ?>"><?php _e( 'Repair', 'buddypress' ) ?></a>
+		<a class="button" href="<?php bp_admin_url( 'admin.php?page=bb-forums-setup&repair=1' ); ?>"><?php _e( 'Repair', 'buddypress' ) ?></a>
 		<span class="attention"><?php _e( 'File does not exist', 'buddypress' ); ?></span>
 
Index: /trunk/src/bp-core/classes/class-bp-core-user.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-core-user.php	(revision 11605)
+++ /trunk/src/bp-core/classes/class-bp-core-user.php	(revision 11606)
@@ -158,5 +158,5 @@
 			$this->user_url  = bp_core_get_user_domain( $this->id, $this->profile_data['user_nicename'], $this->profile_data['user_login'] );
 			$this->fullname  = esc_attr( $this->profile_data[$full_name_field_name]['field_data'] );
-			$this->user_link = "<a href='{$this->user_url}' title='{$this->fullname}'>{$this->fullname}</a>";
+			$this->user_link = "<a href='{$this->user_url}'>{$this->fullname}</a>";
 			$this->email     = esc_attr( $this->profile_data['user_email'] );
 		} else {
Index: /trunk/src/bp-forums/bp-forums-template.php
===================================================================
--- /trunk/src/bp-forums/bp-forums-template.php	(revision 11605)
+++ /trunk/src/bp-forums/bp-forums-template.php	(revision 11606)
@@ -2653,5 +2653,5 @@
 		 * @param string $value HTML link for the poster's name.
 		 */
-		return apply_filters( 'bp_get_the_topic_post_poster_name', '<a href="' . $link . '" title="' . $topic_template->post->poster_name . '">' . $topic_template->post->poster_name . '</a>' );
+		return apply_filters( 'bp_get_the_topic_post_poster_name', '<a href="' . esc_url( $link ) . '">' . esc_html( $topic_template->post->poster_name ) . '</a>' );
 	}
 
Index: /trunk/src/bp-groups/bp-groups-notifications.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-notifications.php	(revision 11605)
+++ /trunk/src/bp-groups/bp-groups-notifications.php	(revision 11606)
@@ -394,5 +394,5 @@
 					 * @param string $notification_link The permalink for notification.
 					 */
-					return apply_filters( 'bp_groups_' . $amount . '_' . $action . 's_notification', '<a href="' . $notification_link . '" title="' . __( 'Group Membership Requests', 'buddypress' ) . '">' . $text . '</a>', $group_link, $total_items, $group->name, $text, $notification_link );
+					return apply_filters( 'bp_groups_' . $amount . '_' . $action . 's_notification', '<a href="' . $notification_link . '">' . $text . '</a>', $group_link, $total_items, $group->name, $text, $notification_link );
 				} else {
 
@@ -492,5 +492,5 @@
 					 * @param string $notification_link The permalink for notification.
 					 */
-					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '" title="' . __( 'Groups', 'buddypress' ) . '">' . $text . '</a>', $total_items, $group->name, $text, $notification_link );
+					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '">' . $text . '</a>', $total_items, $group->name, $text, $notification_link );
 				} else {
 
@@ -581,5 +581,5 @@
 					 * @param string $notification_link The permalink for notification.
 					 */
-					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '" title="' . __( 'Groups', 'buddypress' ) . '">' . $text . '</a>', $total_items, $group->name );
+					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '">' . $text . '</a>', $total_items, $group->name );
 				} else {
 
@@ -667,5 +667,5 @@
 					 * @param string $notification_link The permalink for notification.
 					 */
-					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '" title="' . __( 'Groups', 'buddypress' ) . '">' . $text . '</a>', $total_items, $text, $notification_link );
+					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '">' . $text . '</a>', $total_items, $text, $notification_link );
 				} else {
 					/**
@@ -749,5 +749,5 @@
 					 * @param string $notification_link The permalink for notification.
 					 */
-					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '" title="' . __( 'Groups', 'buddypress' ) . '">' . $text . '</a>', $total_items, $text, $notification_link );
+					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '">' . $text . '</a>', $total_items, $text, $notification_link );
 				} else {
 					/**
@@ -831,5 +831,5 @@
 					 * @param string $notification_link The permalink for notification.
 					 */
-					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '" title="' . __( 'Group Invites', 'buddypress' ) . '">' . $text . '</a>', $total_items, $text, $notification_link );
+					return apply_filters( 'bp_groups_' . $amount . '_' . $action . '_notification', '<a href="' . $notification_link . '">' . $text . '</a>', $total_items, $text, $notification_link );
 				} else {
 					/**
Index: /trunk/src/bp-groups/classes/class-bp-groups-invite-template.php
===================================================================
--- /trunk/src/bp-groups/classes/class-bp-groups-invite-template.php	(revision 11605)
+++ /trunk/src/bp-groups/classes/class-bp-groups-invite-template.php	(revision 11606)
@@ -237,5 +237,5 @@
 		$this->invite->user->email        = $this->invite->user->user_email;
 		$this->invite->user->user_url     = bp_core_get_user_domain( $user_id, $this->invite->user->user_nicename, $this->invite->user->user_login );
-		$this->invite->user->user_link    = "<a href='{$this->invite->user->user_url}' title='{$this->invite->user->fullname}'>{$this->invite->user->fullname}</a>";
+		$this->invite->user->user_link    = "<a href='{$this->invite->user->user_url}'>{$this->invite->user->fullname}</a>";
 		$this->invite->user->last_active  = bp_core_get_last_activity( $this->invite->user->last_activity, __( 'active %s', 'buddypress' ) );
 
Index: /trunk/src/bp-members/classes/class-bp-members-list-table.php
===================================================================
--- /trunk/src/bp-members/classes/class-bp-members-list-table.php	(revision 11605)
+++ /trunk/src/bp-members/classes/class-bp-members-list-table.php	(revision 11606)
@@ -309,5 +309,5 @@
 		);
 
-		echo $avatar . sprintf( '<strong><a href="%1$s" class="edit" title="%2$s">%3$s</a></strong><br/>', esc_url( $activate_link ), esc_attr__( 'Activate', 'buddypress' ), $signup_object->user_login );
+		echo $avatar . sprintf( '<strong><a href="%1$s" class="edit">%2$s</a></strong><br/>', esc_url( $activate_link ), $signup_object->user_login );
 
 		$actions = array();
Index: /trunk/src/bp-members/classes/class-bp-members-ms-list-table.php
===================================================================
--- /trunk/src/bp-members/classes/class-bp-members-ms-list-table.php	(revision 11605)
+++ /trunk/src/bp-members/classes/class-bp-members-ms-list-table.php	(revision 11606)
@@ -302,5 +302,5 @@
 		);
 
-		echo $avatar . sprintf( '<strong><a href="%1$s" class="edit" title="%2$s">%3$s</a></strong><br/>', esc_url( $activate_link ), esc_attr__( 'Activate', 'buddypress' ), $signup_object->user_login );
+		echo $avatar . sprintf( '<strong><a href="%1$s" class="edit">%2$s</a></strong><br/>', esc_url( $activate_link ), $signup_object->user_login );
 
 		$actions = array();
Index: /trunk/src/bp-messages/bp-messages-notifications.php
===================================================================
--- /trunk/src/bp-messages/bp-messages-notifications.php	(revision 11605)
+++ /trunk/src/bp-messages/bp-messages-notifications.php	(revision 11606)
@@ -54,5 +54,5 @@
 		if ( 'string' === $format ) {
 			if ( ! empty( $link ) ) {
-				$return = '<a href="' . esc_url( $link ) . '" title="' . esc_attr( $title ) . '">' . esc_html( $text ) . '</a>';
+				$return = '<a href="' . esc_url( $link ) . '">' . esc_html( $text ) . '</a>';
 			} else {
 				$return = esc_html( $text );
Index: /trunk/src/bp-templates/bp-legacy/buddypress-functions.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress-functions.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress-functions.php	(revision 11606)
@@ -1496,5 +1496,5 @@
 				_e( 'Error joining group', 'buddypress' );
 			} else {
-				echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button leave-group" rel="leave" title="' . __( 'Leave Group', 'buddypress' ) . '" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'leave-group', 'groups_leave_group' ) . '">' . __( 'Leave Group', 'buddypress' ) . '</a>';
+				echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button leave-group" rel="leave" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'leave-group', 'groups_leave_group' ) . '">' . __( 'Leave Group', 'buddypress' ) . '</a>';
 			}
 
@@ -1509,5 +1509,5 @@
 					_e( 'Error requesting membership', 'buddypress' );
 				} else {
-					echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button leave-group" rel="leave" title="' . __( 'Leave Group', 'buddypress' ) . '" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'leave-group', 'groups_leave_group' ) . '">' . __( 'Leave Group', 'buddypress' ) . '</a>';
+					echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button leave-group" rel="leave" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'leave-group', 'groups_leave_group' ) . '">' . __( 'Leave Group', 'buddypress' ) . '</a>';
 				}
 
@@ -1519,5 +1519,5 @@
 					_e( 'Error requesting membership', 'buddypress' );
 				} else {
-					echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button disabled pending membership-requested" rel="membership-requested" title="' . __( 'Request Sent', 'buddypress' ) . '" href="' . bp_get_group_permalink( $group ) . '">' . __( 'Request Sent', 'buddypress' ) . '</a>';
+					echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button disabled pending membership-requested" rel="membership-requested" href="' . bp_get_group_permalink( $group ) . '">' . __( 'Request Sent', 'buddypress' ) . '</a>';
 				}
 			}
@@ -1530,7 +1530,7 @@
 			_e( 'Error leaving group', 'buddypress' );
 		} elseif ( 'public' == $group->status ) {
-			echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button join-group" rel="join" title="' . __( 'Join Group', 'buddypress' ) . '" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'join', 'groups_join_group' ) . '">' . __( 'Join Group', 'buddypress' ) . '</a>';
+			echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button join-group" rel="join" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'join', 'groups_join_group' ) . '">' . __( 'Join Group', 'buddypress' ) . '</a>';
 		} elseif ( 'private' == $group->status ) {
-			echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button request-membership" rel="join" title="' . __( 'Request Membership', 'buddypress' ) . '" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'request-membership', 'groups_request_membership' ) . '">' . __( 'Request Membership', 'buddypress' ) . '</a>';
+			echo '<a id="group-' . esc_attr( $group->id ) . '" class="group-button request-membership" rel="join" href="' . wp_nonce_url( bp_get_group_permalink( $group ) . 'request-membership', 'groups_request_membership' ) . '">' . __( 'Request Membership', 'buddypress' ) . '</a>';
 		}
 	}
Index: /trunk/src/bp-templates/bp-legacy/buddypress/forums/forums-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/forums/forums-loop.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/forums/forums-loop.php	(revision 11606)
@@ -72,5 +72,5 @@
 			<tr class="<?php bp_the_topic_css_class(); ?>">
 				<td class="td-title">
-					<a class="topic-title" href="<?php bp_the_topic_permalink(); ?>" title="<?php esc_attr_e( 'Permanent link to this post', 'buddypress' ); ?>">
+					<a class="topic-title" href="<?php bp_the_topic_permalink(); ?>">
 
 						<?php bp_the_topic_title(); ?>
@@ -87,5 +87,5 @@
 								<?php
 									$topic_in = '<a href="' . bp_get_the_topic_object_permalink() . '">' . bp_get_the_topic_object_avatar( 'type=thumb&width=20&height=20' ) . '</a>' .
-													'<a href="' . bp_get_the_topic_object_permalink() . '" title="' . bp_get_the_topic_object_name() . '">' . bp_get_the_topic_object_name() .'</a>';
+													'<a href="' . bp_get_the_topic_object_permalink() . '">' . bp_get_the_topic_object_name() .'</a>';
 
 									/* translators: "started by [poster] in [forum]" */
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/admin/manage-members.php	(revision 11606)
@@ -268,5 +268,5 @@
 							<?php if ( bp_get_group_member_is_banned() ) : ?>
 
-								<a href="<?php bp_group_member_unban_link(); ?>" class="button confirm member-unban" title="<?php esc_attr_e( 'Unban this member', 'buddypress' ); ?>"><?php _e( 'Remove Ban', 'buddypress' ); ?></a>
+								<a href="<?php bp_group_member_unban_link(); ?>" class="button confirm member-unban"><?php _e( 'Remove Ban', 'buddypress' ); ?></a>
 
 							<?php else : ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/cover-image-header.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/cover-image-header.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/cover-image-header.php	(revision 11606)
@@ -20,5 +20,5 @@
 		<?php if ( ! bp_disable_group_avatar_uploads() ) : ?>
 			<div id="item-header-avatar">
-				<a href="<?php echo esc_url( bp_get_group_permalink() ); ?>" title="<?php echo esc_attr( bp_get_group_name() ); ?>">
+				<a href="<?php echo esc_url( bp_get_group_permalink() ); ?>">
 
 					<?php bp_group_avatar(); ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/topic.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/topic.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/forum/topic.php	(revision 11606)
@@ -127,5 +127,5 @@
 						do_action( 'bp_group_forum_post_meta' ); ?>
 
-						<a href="#post-<?php bp_the_topic_post_id(); ?>" title="<?php esc_attr_e( 'Permanent link to this post', 'buddypress' ); ?>">#</a>
+						<a href="#post-<?php bp_the_topic_post_id(); ?>" aria-label="<?php esc_attr_e( 'Permanent link to this post', 'buddypress' ); ?>">#</a>
 					</div>
 				</li>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/message.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/message.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/message.php	(revision 11606)
@@ -31,5 +31,5 @@
 					<?php if ( bp_get_the_thread_message_sender_link() ) : ?>
 
-						<strong><a href="<?php bp_the_thread_message_sender_link(); ?>" title="<?php bp_the_thread_message_sender_name(); ?>"><?php bp_the_thread_message_sender_name(); ?></a></strong>
+						<strong><a href="<?php bp_the_thread_message_sender_link(); ?>"><?php bp_the_thread_message_sender_name(); ?></a></strong>
 
 					<?php else : ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/notices-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/notices-loop.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/notices-loop.php	(revision 11606)
@@ -75,5 +75,5 @@
 				<td width="10%">
 					<a class="button" href="<?php bp_message_activate_deactivate_link(); ?>" class="confirm"><?php bp_message_activate_deactivate_text(); ?></a>
-					<a class="button" href="<?php bp_message_notice_delete_link(); ?>" class="confirm" title="<?php esc_attr_e( "Delete Message", 'buddypress' ); ?>">x</a>
+					<a class="button" href="<?php bp_message_notice_delete_link(); ?>" class="confirm" aria-label="<?php esc_attr_e( "Delete Message", 'buddypress' ); ?>">x</a>
 				</td>
 			</tr>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/single.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/single.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/messages/single.php	(revision 11606)
@@ -42,5 +42,5 @@
 			</span>
 
-			<a class="button confirm" href="<?php bp_the_thread_delete_link(); ?>" title="<?php esc_attr_e( "Delete Conversation", 'buddypress' ); ?>"><?php _e( 'Delete', 'buddypress' ); ?></a>
+			<a class="button confirm" href="<?php bp_the_thread_delete_link(); ?>"><?php _e( 'Delete', 'buddypress' ); ?></a>
 
 			<?php
Index: /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/general.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/general.php	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/members/single/settings/general.php	(revision 11606)
@@ -20,5 +20,5 @@
 
 		<label for="pwd"><?php _e( 'Current Password <span>(required to update email or change current password)</span>', 'buddypress' ); ?></label>
-		<input type="password" name="pwd" id="pwd" size="16" value="" class="settings-input small" <?php bp_form_field_attributes( 'password' ); ?>/> &nbsp;<a href="<?php echo wp_lostpassword_url(); ?>" title="<?php esc_attr_e( 'Password Lost and Found', 'buddypress' ); ?>"><?php _e( 'Lost your password?', 'buddypress' ); ?></a>
+		<input type="password" name="pwd" id="pwd" size="16" value="" class="settings-input small" <?php bp_form_field_attributes( 'password' ); ?>/> &nbsp;<a href="<?php echo wp_lostpassword_url(); ?>"><?php _e( 'Lost your password?', 'buddypress' ); ?></a>
 
 	<?php endif; ?>
Index: /trunk/src/bp-templates/bp-legacy/js/buddypress.js
===================================================================
--- /trunk/src/bp-templates/bp-legacy/js/buddypress.js	(revision 11605)
+++ /trunk/src/bp-templates/bp-legacy/js/buddypress.js	(revision 11606)
@@ -1975,5 +1975,5 @@
 
 				if ( !i ) {
-					jq(this).before( '<li class="show-all"><a href="#' + parent_li.attr('id') + '/show-all/" title="' + BP_DTheme.show_all_comments + '">' + BP_DTheme.show_x_comments.replace( '%d', comment_count ) + '</a></li>' );
+					jq(this).before( '<li class="show-all"><a href="#' + parent_li.attr('id') + '/show-all/">' + BP_DTheme.show_x_comments.replace( '%d', comment_count ) + '</a></li>' );
 				}
 			}