Index: /branches/2.9/src/bp-core/deprecated/1.6.php
===================================================================
--- /branches/2.9/src/bp-core/deprecated/1.6.php	(revision 11773)
+++ /branches/2.9/src/bp-core/deprecated/1.6.php	(revision 11774)
@@ -266,6 +266,11 @@
 		// For each of the problematic hooks, exit at the very end of execution
 		foreach( $actions as $action ) {
-			add_action( 'wp_ajax_'        . $action, create_function( '', 'exit;' ), 9999 );
-			add_action( 'wp_ajax_nopriv_' . $action, create_function( '', 'exit;' ), 9999 );
+			add_action( 'wp_ajax_' . $action, function() {
+				exit;
+			}, 9999 );
+
+			add_action( 'wp_ajax_nopriv_' . $action, function() {
+				exit;
+			}, 9999 );
 		}
 	}
Index: /branches/2.9/src/bp-groups/classes/class-bp-group-extension.php
===================================================================
--- /branches/2.9/src/bp-groups/classes/class-bp-group-extension.php	(revision 11773)
+++ /branches/2.9/src/bp-groups/classes/class-bp-group-extension.php	(revision 11774)
@@ -754,6 +754,12 @@
 			if ( bp_is_current_action( $this->slug ) ) {
 				add_filter( 'bp_group_user_has_access',   array( $this, 'group_access_protection' ), 10, 2 );
-				add_action( 'bp_template_content_header', create_function( '', 'echo "' . esc_attr( $this->name ) . '";' ) );
-				add_action( 'bp_template_title',          create_function( '', 'echo "' . esc_attr( $this->name ) . '";' ) );
+
+				$extension_name = $this->name;
+				add_action( 'bp_template_content_header', function() use ( $extension_name ) {
+					echo esc_attr( $extension_name );
+				} );
+				add_action( 'bp_template_title', function() use ( $extension_name ) {
+					echo esc_attr( $extension_name );
+				} );
 			}
 		}
@@ -1197,8 +1203,13 @@
 		$screen   = $this->screens['admin'];
 
+		$extension_slug = $this->slug;
+		$callback = function() use ( $extension_slug, $group_id ) {
+			do_action( 'bp_groups_admin_meta_box_content_' . $extension_slug, $group_id );
+		};
+
 		add_meta_box(
 			$screen['slug'],
 			$screen['name'],
-			create_function( '', 'do_action( "bp_groups_admin_meta_box_content_' . $this->slug . '", ' . $group_id . ' );' ),
+			$callback,
 			get_current_screen()->id,
 			$screen['metabox_context'],
Index: /branches/2.9/src/bp-members/bp-members-screens.php
===================================================================
--- /branches/2.9/src/bp-members/bp-members-screens.php	(revision 11773)
+++ /branches/2.9/src/bp-members/bp-members-screens.php	(revision 11774)
@@ -184,9 +184,4 @@
 		if ( !empty( $bp->signup->errors ) ) {
 			foreach ( (array) $bp->signup->errors as $fieldname => $error_message ) {
-				/*
-				 * The addslashes() and stripslashes() used to avoid create_function()
-				 * syntax errors when the $error_message contains quotes.
-				 */
-
 				/**
 				 * Filters the error message in the loop.
@@ -196,5 +191,7 @@
 				 * @param string $value Error message wrapped in html.
 				 */
-				add_action( 'bp_' . $fieldname . '_errors', create_function( '', 'echo apply_filters(\'bp_members_signup_error_message\', "<div class=\"error\">" . stripslashes( \'' . addslashes( $error_message ) . '\' ) . "</div>" );' ) );
+				add_action( 'bp_' . $fieldname . '_errors', function() use ( $error_message ) {
+					echo apply_filters( 'bp_members_signup_error_message', "<div class=\"error\">" . $error_message . "</div>" );
+				} );
 			}
 		} else {
Index: /branches/2.9/src/bp-templates/bp-legacy/buddypress-functions.php
===================================================================
--- /branches/2.9/src/bp-templates/bp-legacy/buddypress-functions.php	(revision 11773)
+++ /branches/2.9/src/bp-templates/bp-legacy/buddypress-functions.php	(revision 11774)
@@ -1612,8 +1612,8 @@
 
 		// Add new-message css class.
-		add_filter( 'bp_get_the_thread_message_css_class', create_function( '$retval', '
-			$retval[] = "new-message";
+		add_filter( 'bp_get_the_thread_message_css_class', function( $retval ) {
+			$retval[] = 'new-message';
 			return $retval;
-		' ) );
+		} );
 
 		// Output single message template part.